# Generated by Django 4.2 on 2023-05-08 08:07

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0007_contract_child1_dob_contract_child1_name_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="contract",
            name="signature_photo",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "signature_photo_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["jpg", "jpeg", "png"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
    ]
